
ctools - Action #2709

Create ctools and cscripts code generator

11/03/2018 09:35 PM - Knödlseder Jürgen

Status: Closed Start date: 11/03/2018

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.6.0   

Description

Adding a new ctool or cscript requires several steps that can be automated using a code generation script. Such a code generation

script should be included in ctools to ease the code development.

History

#1 - 11/03/2018 11:55 PM - Knödlseder Jürgen

- Status changed from In Progress to Pull request

- % Done changed from 0 to 100

A code generator was added that generates either a ctool or a cscript that is fully functional. Also unit tests and reference documentation is

automatically added.

The code generator is started using dev/codegen.py and requires GammaLib.

#2 - 11/05/2018 10:19 AM - Knödlseder Jürgen

- Status changed from Pull request to Closed

Merged into devel.
